package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.List;

/**
 * desc：欢迎语详情bo
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
public class WelcomeDetailBO {
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;

    /**
     * 欢迎语类型
     */
    private Integer type;

    private int scene ;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 0关闭 1开启
     */
    private Integer openFlag;
    /**
     * 默认欢迎语标记 1是 0否
     */
    private Integer defaultWelcomeFlag;
    /**
     * 适用部门列表
     */
    private List<WelcomeSuitDepartmentBO> suitDepartmentList;
    /**
     * 适用员工列表
     */
    private List<WelcomeSuitStaffBO> suitStaffList;
    /**
     * 欢迎语媒体列表
     */
    private List<WelcomeMediaBO> welcomeMediaList;

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public List<WelcomeMediaBO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<WelcomeMediaBO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public List<WelcomeSuitDepartmentBO> getSuitDepartmentList() {
        return suitDepartmentList;
    }

    public void setSuitDepartmentList(List<WelcomeSuitDepartmentBO> suitDepartmentList) {
        this.suitDepartmentList = suitDepartmentList;
    }

    public List<WelcomeSuitStaffBO> getSuitStaffList() {
        return suitStaffList;
    }

    public void setSuitStaffList(List<WelcomeSuitStaffBO> suitStaffList) {
        this.suitStaffList = suitStaffList;
    }

    public Integer getDefaultWelcomeFlag() {
        return defaultWelcomeFlag;
    }

    public void setDefaultWelcomeFlag(Integer defaultWelcomeFlag) {
        this.defaultWelcomeFlag = defaultWelcomeFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "WelcomeDetailBO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", openFlag=" + openFlag +
                ", welcomeMediaList=" + welcomeMediaList +
                '}';
    }
}
